Bug 50784 - PRINTING: Printers disappears if you keep open libreoffice for 20min
Summary: PRINTING: Printers disappears if you keep open libreoffice for 20min
Status: RESOLVED NOTABUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.2 release
Hardware: Other Linux (All)
: high normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-06 05:13 UTC by Maximiliano Boscovich
Modified: 2013-01-16 00:17 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maximiliano Boscovich 2012-06-06 05:13:19 UTC
Problem description: 

Steps to reproduce:
1. Use a remote cups server to print, no a local one.
2. Set /etc/cups/client.conf to use it remote cups server
3. Open writer or calc.
4. Open a document.
5. Go to File -> Print, and you'll see the printers.
6. Keep open libreoffice for 20 minutes.
7. Go to File -> Print, and all printers disappears.
8. Close libreoffice.
9. Start libreoffice again, and go to File -> Print, and you'll see the printers ok.

Current behavior:
The printers disappears when you keep open libreoffice for 20 min. If you close a re-open it, the printers appears again.
I think the problem is related with the fact of libreoffice open a connection with the cups server when it's starts, and its connections is closed a minutes later (i don't know why). Its seem like a libreoffice don't detect this connection lost.

May be libreoffice should open the conection with the cups server when the user open the print dialog, and not when its start.

Platform 
Kubuntu 12.04, in a LTSP-Cluster Infraestructure.

PD: Sorry for my english.
Comment 1 Alejandro Azario 2012-06-11 05:27:36 UTC
I have the same problem, but sometimes this happens before 20 minutes. I also use a remote cups server.

Thanks in advance
Comment 2 Michael 2012-07-20 12:39:40 UTC
I can confirm the bug too.
My solution:
- Look into the file /etc/cups/cupsd.conf
- The following entry is listed: Listen 127.0.0.1:631
- Edit this entry from 127.0.0.1 -> localhost
- Add this line: Listen /var/run/cups/cups.sock
- Restart cups (ubuntu): restart cups

cat /etc/cups/cupsd.conf
...
...
...
# Only listen for connections from the local machine.
Listen localhost:631
Listen /var/run/cups/cups.sock
...
...
...
Comment 3 Birgir Haraldsson 2012-08-16 14:36:55 UTC
I confirm this problem as well.

Had to move 200 Ubuntu machines from a centralized cups to locally configured setup by distributing cups config via puppet.

Would love to see a solution to this soon.
Comment 4 Volker Helm 2012-08-31 11:17:23 UTC
We got a similar problem. When you start libreoffice, printing work, after a short time, around 5 min, you can't print from libreoffice any more.

System kubuntu 12.04 x86 with kde 4.9.

We're printing over remote cups (cups.client), but we a local cups server the same problem appears too.



here is my /etc/cups/cupsd.conf file. Hope it'll help. (Sorry for my poor english).

LogLevel warn
MaxLogSize 1m
SystemGroup lpadmin
Listen localhost:631
Listen /var/run/cups/cups.sock
Browsing On
BrowseOrder allow,deny
BrowseAllow all
BrowseRemoteProtocols cups
BrowseLocalProtocols
DefaultAuthType Basic
WebInterface Yes
<Location />
  Order allow,deny
</Location>
<Location /admin>
  Order allow,deny
</Location>
<Location /admin/conf>
  AuthType Default
  Require user @SYSTEM
  Order allow,deny
</Location>
<Policy default>
  JobPrivateAccess default
  JobPrivateValues default
  SubscriptionPrivateAccess default
  SubscriptionPrivateValues default
  <Limit Create-Job Print-Job Print-URI Validate-Job>
    Order deny,allow
  </Limit>
  <Limit Send-Document Send-URI Hold-Job Release-Job Restart-Job Purge-Jobs Set-Job-Attributes Create-Job-Subscription Renew-Subscription Cancel-Subscription Get-Notifications Reprocess-Job Cancel-Current-Job Suspend-Current-Job Resume-Job Cancel-My-Jobs Close-Job CUPS-Move-Job CUPS-Get-Document>
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>
  <Limit Send-Document Send-URI Hold-Job Release-Job Restart-Job Purge-Jobs Set-Job-Attributes Create-Job-Subscription Renew-Subscription Cancel-Subscription Get-Notifications Reprocess-Job Cancel-Current-Job Suspend-Current-Job Resume-Job Cancel-My-Jobs Close-Job CUPS-Move-Job CUPS-Get-Document>
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>
  <Limit CUPS-Add-Modify-Printer CUPS-Delete-Printer CUPS-Add-Modify-Class CUPS-Delete-Class CUPS-Set-Default CUPS-Get-Devices>
    AuthType Default
    Require user @SYSTEM
    Order deny,allow
  </Limit>
  <Limit Pause-Printer Resume-Printer Enable-Printer Disable-Printer Pause-Printer-After-Current-Job Hold-New-Jobs Release-Held-New-Jobs Deactivate-Printer Activate-Printer Restart-Printer Shutdown-Printer Startup-Printer Promote-Job Schedule-Job-After Cancel-Jobs CUPS-Accept-Jobs CUPS-Reject-Jobs>
    AuthType Default
    Require user @SYSTEM
    Order deny,allow
  </Limit>
  <Limit Cancel-Job CUPS-Authenticate-Job>
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>
  <Limit All>
    Order deny,allow
  </Limit>
</Policy>
<Policy authenticated>
  JobPrivateAccess default
  JobPrivateValues default
  SubscriptionPrivateAccess default
  SubscriptionPrivateValues default
  <Limit Create-Job Print-Job Print-URI Validate-Job>
    AuthType Default
    Order deny,allow
  </Limit>
  <Limit Send-Document Send-URI Hold-Job Release-Job Restart-Job Purge-Jobs Set-Job-Attributes Create-Job-Subscription Renew-Subscription Cancel-Subscription Get-Notifications Reprocess-Job Cancel-Current-Job Suspend-Current-Job Resume-Job Cancel-My-Jobs Close-Job CUPS-Move-Job CUPS-Get-Document>
    AuthType Default
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>
  <Limit CUPS-Add-Modify-Printer CUPS-Delete-Printer CUPS-Add-Modify-Class CUPS-Delete-Class CUPS-Set-Default>
    AuthType Default
    Require user @SYSTEM
    Order deny,allow
  </Limit>
  <Limit Pause-Printer Resume-Printer Enable-Printer Disable-Printer Pause-Printer-After-Current-Job Hold-New-Jobs Release-Held-New-Jobs Deactivate-Printer Activate-Printer Restart-Printer Shutdown-Printer Startup-Printer Promote-Job Schedule-Job-After Cancel-Jobs CUPS-Accept-Jobs CUPS-Reject-Jobs>
    AuthType Default
    Require user @SYSTEM
    Order deny,allow
  </Limit>
  <Limit Cancel-Job CUPS-Authenticate-Job>
    AuthType Default
    Require user @OWNER @SYSTEM
    Order deny,allow
  </Limit>
  <Limit All>
    Order deny,allow
  </Limit>
</Policy>
Comment 5 mal 2012-10-24 16:12:30 UTC
I'll bet you it's not 'around five minutes' it's exactly five minutes.
That's the default client time out for connections to the cups server.

We have a nasty work around for this. Near the top of the
cupsd.conf and add TIMEOUT 'somebignumber' I have set mine
to 5400 which is 90 mins. As this is a school and everything runs 
in 1 hour chunks that is fine. The downside is you may have a 
lot of connections hanging around. I would guess that if you are 
in a company where people work 9-5 that number would have to be
very big ( but smaller than the night in seconds so that any 
dead connections can time out over night ) 

90 mins with 400 workstations to one CUPS server doesn't seem to 
stress the print server particularly and it works here ( YMMV )

We would really like this fixed as well

regards

M
Comment 6 mal 2012-10-24 16:29:54 UTC
Oh, should have said this is 3.6.1 on opensuse 12.2

M
Comment 7 Maximiliano Boscovich 2012-11-27 15:37:45 UTC
Malcom was right, it was a problem related with cupsd timeout.
I fixed it setting "TimeOut 7200" in the /etc/cups/cupsd.conf on the print server.

Regards.

             Maximiliano.
Comment 8 Christopher M. Penalver 2012-11-27 16:52:13 UTC
Mal, as Maximiliano Boscovich is the original reporter, if he finds this to not be a bug for him and his infrastructure, and marks it RESOLVED NOTABUG, that's up to him.

However, if you are having a bug in LibreOffice, you are welcome to do so following the instructions verbatim at http://wiki.documentfoundation.org/BugReport .

Thank you for your understanding.
Comment 9 Darko Veberic 2012-11-27 17:49:21 UTC
this story is not closed. please read the discussion at https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1020048
Comment 10 Christopher M. Penalver 2012-11-27 20:12:04 UTC
Darko, please do not reopen this report as you are not the original reporter, and this bug report is not about your problem. For more on this, please see https://bugs.freedesktop.org/show_bug.cgi?id=50784#c8 . If you have a bug in LibreOffice, please follow the instructions previously noted.
Comment 11 Francisco Javier 2013-01-16 00:17:38 UTC
This is same problem that bug 56344 https://bugs.freedesktop.org/show_bug.cgi?id=56344